/* new datalist styles here */
.confirm_defaultDiv
{

}

.confirm_dataOverview
{
	float: left;
    padding: 20px 20px 20px 20px;
    width: 100%;
    background-color: #FFF;
    border: 1px solid #E0E1E3;
    border-radius: 15px;
    flex: 1 1 auto;
    min-width: 0;
    max-width: calc(100% - 0px);
    position: relative;
    margin-top: 20px;
}

.confirm_appointmentConfirmation
{
	float: left;
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    width: 100%;
}

.confirm_appointmentConfirmation .cg_examReasonHintTextAdditional {
   width: 100%;
}

.confirm_manageDataItemDiv
{
    margin: 10px 0 10px 0;
    display: flex;
    align-items: center;
    padding-left: 7px;
    flex-wrap: wrap;
    position: relative;
}
.confirm_manageDataItemDiv .errorInput {
    position: relative;
}

.confirm_manageDataItemDiv .statusSpan {

    position: absolute;
    right: 5px;
    pointer-events: none;
}
.confirm_manageDataItemDiv .statusSpan.statusSpanBirthday {
    bottom: -15px;
}
.confirm_manageDataItemDiv .statusSpan#img_autoDeletePastAppointmentsPatientSetting {
    bottom: 0px;
}

#di_registerInputFields .confirm_manageDataItemDiv
{
    padding-left: 0px;
}

.confirm_manageDataItemDiv#registerUserAccept label,
.confirm_manageDataItemDiv#registerPrivateInsurance label{
    width: 100%;
    max-width: calc(100% - 50px);
    display: block;
    margin-left: 5px;
}
.confirm_manageDataItemDiv:after
{
    clear: both;
}
.confirm_manageDataItemDiv#registerSendICal
{
    flex-wrap: wrap;
    max-width: 330px;
}

.confirm_manageDataItemDiv#deletePastAppointments
{
    flex-wrap: wrap;
}

.confirm_manageDataItemDiv#deletePastAppointments .confirm_manageDataText {
   width: 100%;
}

.confirm_manageDataDiv
{
    border-radius: 10px;
    margin-top: 25px;
}

.statusSpan
{
    margin-left: 10px;
}

.confirm_selectItem
{
    height: 45px;
    padding: 5px 5px 5px 5px;
    border: 0;
    font-size: 15px;
}

.statusSpanBirthday
{
    margin-left: 7px;
}

.confirm_inputFieldBirthday
{
    width: auto;
    text-align: center;
    border: none;
    max-width: 60px;
}

.confirm_inputField
{
    max-width: 195px;
    border: none;
    width: 100%;
}

.confirm_inputField:hover, .confirm_inputField:focus, .confirm_inputFieldBirthday:hover, .confirm_inputFieldBirthday:focus,
.confirm_tanInputField:hover, .confirm_tanInputField:focus, #sex:hover, #areaCode:hover, .confirm_autoDeletePastAppointments:hover
{
    -webkit-box-shadow: 0px 0px 15px 0px #96d4ff;
    box-shadow: 0px 0px 15px 0px #96d4ff;
    -moz-box-shadow: 0px 0px 15px 0px #96d4ff;
}

#sex:focus, #areaCode:focus, .confirm_autoDeletePastAppointments:focus
{
    outline:none;
}

#cf_phoneNumber
{
    width: 113px;
}
.cf_addition_text{
    padding: 10px 30px 10px 10px;
    border: 1px dashed #8d8d8d;
    border-radius: 8px;
    position: relative;
}
.cf_addition_text .cf_tps_infoTooltip {
    float: left;
    margin-left: 0;
    margin-top: 0;
    position: absolute;
    top: 10px;
    right: 10px;
}
.cf_addition_text em {
    text-decoration: underline;
    margin: 4px 0 0 0;
    display: block;
    font-size: 14px;
}

.confirm_tanInputField
{
    margin: 20px auto 0 auto;
    width: 100%;
    max-width: 300px;
    float: none;
    display: block;
    text-align: center;
}

.confirm_manageDataText
{
    width: 135px;
    line-height: 30px;
    float: left;
    display: flex;
    align-items: center;
    height: 45px;
    font-weight: 500;
}

.confirm_manageDataHeadline
{
    font-weight: 700;
    font-size: 16px;
    margin: 10px 0 0px 0;
    display: block;
    background-color: #f7f7f7;
    padding: 10px;
}

.confirm_appointmentConfirmationDiv
{
    float: left;
    width: 100%;
}

#enterTanFormConfirm {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: column;
}
.confirm_enterTan {
    padding: 20px 20px 30px 20px;
    width: 100%;
    background-color: #FFF;
    border: 1px solid #E0E1E3;
    border-radius: 15px;
    flex: 1 1 auto;
    min-width: 0;
    max-width: calc(100% - 235px);
    position: relative;
    margin-top: 20px;
}
.confirm_enterTan h1 {
    position: absolute;
    top: -32px;
    padding: 0px;
}

#confirm_dataOverviewBoxClick {
    cursor: pointer;
}

.confirm_confirmButtonTAN
{
    cursor: pointer;
    outline: 0;
    max-width: 300px;
    margin: 0;
    width: 100%;
    border-radius: 8px;
}

.confirm_overviewBox
{
    display: none;
}

.cf_changedPhoneNumber
{
    margin: 20px 0px 0px 98px;
}

.cf_appointmentInfoBox
{
    float: left;
    background-color: #FFF;
    width: 100%;
    flex: 0 0 230px;
    max-width: 230px;
    border: 1px solid #E0E1E3;
    border-radius: 15px;
    position: relative;
    margin-top: 20px;
    /*overflow: hidden;*/
}

.cf_arrow
{
    height: 40px;
}

#cf_progressbar 
{
    margin-bottom: 40px;
}

.cf_doctorPortrait
{
    float: left;
    margin-top: 0;
    margin-left: 0;
    width: 100%;
}

.cf_appointmentInfoBoxElementInsideAdress
{
    width: 220px;
    float: right;
    line-height: 18px;
    overflow-x: hidden;
    text-overflow: ellipsis;
}

input.di_cancelButton
{
    cursor: pointer;
    outline: 0;
    border-radius: 8px;
    background-color: #3e3e3e;
    max-width: 300px;
    width: 100%;
    margin:10px 0 0 0;
    height: 35px;
}
.di_newCustomer_buttonBar input.di_cancelButton
{
    width: auto;
    margin: 10px 0 0 0;
    height: 45px;
}

input.di_cancelButton:hover
{
    background-color: #131313 !important;
    color:#FFF !important;
}
.di_appointmentInfoBoxElementInsideNoLH
{
    overflow-x: hidden;
    text-overflow: ellipsis;
}
.cf_appointmentInfoBox .di_appointmentInfoBoxElementInside {
    display: flex;
    max-width: 400px;
    flex-wrap: wrap;
}
.cf_appointmentInfoBox .di_appointmentInfoBoxElement img.detailView_doctorPortrait {

    max-width: 135px;
    width: 100%;
    margin-left: 0px;
}
.cf_appointmentInfoBox .di_appointmentInfoBoxElement .cf_doctorPortrait img {
    float: left;
    margin-right: 0px;
    max-width: 100%;
    width: 100%;
    height: auto;
    display: block;
    object-fit: contain;
}

.cf_appointmentInfoBoxElementInsideAdress {
    line-height: 18px;
    overflow-x: hidden;
    text-overflow: ellipsis;
    width: 100%;
    padding: 10px;
}
.cf_appointmentInfoBox h1 {
    position: absolute;
    top: -32px;
    padding: 0 10px;
}
.cf_appointmentInfoBox .di_h2 {
    font-weight: 400;
    padding: 0 10px;
    display: none;
}
.cf_doText
{
    margin-top: 10px;
    margin-bottom: 5px;
    vertical-align: middle;
}

.cf_docInfoSpecialities
{
    line-height: 20px;
}

.df_docInfoTooltip
{
    font-size: 12px;
}

.cf_dit_arrow
{
	background: url('../img/tooltip/docInfoTooltip_arrow.png');
	height: 32px;
	width: 16px;
	float: left;
	margin-left: -1px;
}

.cf_errorInput
{
    color: red;
    display: none;
}

.adviceMessage
{
    background-color: #FFF888;
    border: 1px solid #FFD800;
    margin-bottom: 10px;
    padding: 10px;
}

.cf_tps_infoTooltip
{
    float: left;
    margin-left: 5px;
    margin-top: -2px;
}

.cf_sendICalText:disabled {
    cursor: default;
    float: left;
}

.cf_sendICalText {
    cursor: pointer;
    float: left;
    max-width: calc(100% - 25px);
}

.cf_sendIcalAdditionalText {
    margin-left: 20px;
}

a#confirm_dataOverviewBoxClickLink, a:visited#confirm_dataOverviewBoxClickLink, a:hover#confirm_dataOverviewBoxClickLink, a:active#confirm_dataOverviewBoxClickLink
{
    color: inherit;
}

@media only screen
and (max-width : 700px) {
    .confirm_enterTan {
        width: 100%;
        max-width: calc(100% - 0px);
    }
    .cf_appointmentInfoBox {
        width: 100%;
        flex: 0 0  100%;
        max-width: 100%;
        position: relative;
        margin-top: 40px;
    }
    .di_appointmentInfoBoxElementInside {
        display: flex;
        max-width: 400px;
        flex-wrap: nowrap;
    }
    .cf_appointmentInfoBox .di_appointmentInfoBoxElement .cf_doctorPortrait img {

        max-width: 135px;
        width: 100%;
         margin: 0;
    }
    .cf_appointmentInfoBox .di_appointmentInfoBoxElement  .cf_doctorPortrait {
        float: left;
        margin-top: 0;
        display: flex;
        width: 100%;
        max-width: 135px;
        margin-left: 0;
        margin-bottom: 0;
        border-bottom-left-radius: 15px;
        overflow: hidden;
    }

    .di_appointmentInfoBoxElement {
        margin-bottom: 0;
    }

    .cf_appointmentInfoBox .di_appointmentInfoBoxElementInside {
        display: flex;
        max-width: 400px;
        flex-wrap: nowrap;
        line-height: 23px;
    }
    .di_appointmentInfoBoxElement.di_appointmentInfoBoxElementAppointment .di_appointmentInfoBoxElementInsideNoLH {
        padding: 0 10px;
        padding-left: 72px;
    }

    input.di_cancelButton
    {
        margin:10px auto 0 auto;
    }
    .confirm_confirmButtonTAN {
        margin:10px auto 0 auto;
    }

    .cf_appointmentInfoBox .di_appointmentInfoBoxElement {
         margin-top: 0px;
    }
    .cf_appointmentInfoBox .di_appointmentInfoBoxElementInside {
        margin-top: 0px;
    }
    .cf_appointmentInfoBox .di_appointmentInfoBoxElement {
        margin-bottom: 0px;
    }
    .cf_appointmentInfoBox .sd_docInfoTooltip {
        position: relative !important;
        border-bottom-right-radius: 15px;
        border-bottom-left-radius: 15px;
        overflow: hidden;
    }
    .cf_appointmentInfoBox .cf_dit_arrow {
       display: none;
    }
    .cf_appointmentInfoBox .sd_dit_content {
        background-color: transparent;
    }
}


@media only screen
and (max-width : 500px) {
    .confirm_dataOverview {
        padding: 20px 10px 20px 10px;
    }

    .confirm_manageDataText {
        width: 120px;
        font-size: 14px;
    }
    .confirm_inputFieldBirthday  {
        max-width: 40px;
    }
    .confirm_inputFieldBirthday.confirm_inputFieldNINO  {
        max-width: 50px;
    }


    .confirm_manageDataItemDiv input[type=text]:not(.manageExamReason_editInput):not(.manageSpeciality_editInput),
    .confirm_manageDataItemDiv input[type=password],
    .confirm_manageDataItemDiv input[type=number],
    .confirm_manageDataItemDiv input[type=text]:not(.confirm_inputFieldValue),{

        max-width: calc(100% - 120px);
    }

}